Name: linuxmuster-client
Summary: Linux-Musterloesung client configuration scripts
BuildArch: noarch
Version: 0.9.2
Release: 4
License: GPL
Group: system
Source: %{name}-%{version}.tar.gz
Source1: %{name}.postin
Source2: %{name}.postrm

BuildRoot: %{_tmppath}/build-root-%{name}
Packager: fschuett
Distribution: openSuSE Linux
Url: http://www.lml-bw.de
Requires: pam_ldap, nss_ldap, nscd, pam_mount, rsync, smbfs, pwdutils, xorg-x11, pwdutils
Provides: linuxmuster-clientconfig, linuxmuster-client
Vendor: SuSE

%description
Linux-Musterloesung client configuration scripts
This package provides configuration scripts for debian-based clients
to connect them to Linux-Musterloesung.

%prep
rm -rf $RPM_BUILD_ROOT 
mkdir $RPM_BUILD_ROOT

%setup -n linuxmuster-client

cp -v %{SOURCE1} $RPM_BUILD_DIR
cp -v %{SOURCE2} $RPM_BUILD_DIR

#%patch

%build
# nichts zu tun

%install
cp -aR  $RPM_BUILD_DIR/%{name}/* $RPM_BUILD_ROOT

%post -f ../%{name}.postin

%postun -f ../%{name}.postrm

%clean
rm -rf $RPM_BUILD_ROOT
rm -f $RPM_BUILD_DIR/%{name}.postin
rm -f $RPM_BUILD_DIR/%{name}.postrm

%files
%defattr(-,root,root,0755)
/usr/share/doc/linuxmuster-client/changelog.Debian.gz
/usr/share/doc/linuxmuster-client/copyright
/usr/share/doc/linuxmuster-client/changelog.opensuse
/usr/share/doc/linuxmuster-client/README.opensuse
/usr/share/doc/linuxmuster-client/README.Debian.gz
/usr/share/linuxmuster-client/umount.sh
/usr/share/linuxmuster-client/profile
/usr/share/linuxmuster-client/helperfunctions.sh
/usr/share/linuxmuster-client/config
/usr/share/linuxmuster-client/supported_distros
/usr/share/linuxmuster-client/mount.sh
/var/lib/linuxmuster-client/opensuse/templates/etc/pam.d/xdm
/var/lib/linuxmuster-client/common/templates/etc/pam.d/common-auth-pammount
/var/lib/linuxmuster-client/common/templates/etc/pam.d/common-session-pammount
/var/lib/linuxmuster-client/common/templates/etc/security/pam_mount.conf.xml
/etc/init.d/boot.linuxmuster-hostname
/etc/init.d/linuxmuster-client
/etc/profile.d/linuxmuster-client.csh
/etc/profile.d/linuxmuster-client.sh

